# Function prepareSplashPage

- prepareSplashPage(
  buildDir: string,
  pageName: string,
  serverUrl: string,
  tenantAppName?: string,
  user?: User,
  ): Promise<void>

  Prepare a splash page runs a page and writes the html into 'splash_page.html' of the www directory

  #### Parameters

  - buildDir: string
  - pageName: string

    splash page

  - serverUrl: string

    needed, if 'pageName' uses images from the server

  - `Optional` tenantAppName: string
  - `Optional` user: User

  #### Returns Promise<void>

  - Defined in utils/common-build-utils.ts:1047